Description

To accommodate the TapChanger/TapChangerControl model for distribution circuit regulator.

It is therefore needed that ‘secondary units’ to add to description for RegulatingControl.targetValue and some other UML updates

consist of:
* One new attribute: TapChangerControl.minLimitVoltage
* One renamed attribute: TapChangerControl.limitVoltage to TapChangeControl.maxLimitVoltage

Besides, lots of description tweaks needed in the attached document.

Proposed Solution

One new attribute: TapChangerControl.minLimitVoltage
One renamed attribute: TapChangerControl.limitVoltage to TapChangeControl.maxLimitVoltage

And a few classes/attributes descriptions clean-up and tweaks. Details can be found in the attached document.

Decision
[03/30/2022] WG13 agrees with the changes proposed.

Oslo, 13 June 2023

The following changes are on hold and need to be considered in the control clean up:
TapChanger.initialDelay to RegulatingControl.initialDelay
TapChanger.subsequentDelay to TapChangerControl.subsequentDelay

Remove ShuntCompensator.aVRDelay in favor of RegulatingControl.initialDelay

Note that for ctRatio and ptRatio were added to TapChanger, but these attributes are also in TapChangerInfo. Should we delete

them from TapChangerinfo?
=> The decision is that we keep it like it is so the attributes will exist on 2 places. The usege is different.

Question: Should ptRatio and ctRatio be added to 452 EQ?

=>The decision is Yes. To be decided in which profile - probably in the unbalance profile as it was needed for the distribution

Another question: TapChangerControl.maxLimitVoltage and minLimitVoltage are not in 452, Should we add them?

=> We need to add them to 456 - SSH unbalanced
Also look at issue 3808 related to master-follower.

Release Notes

The following changes are applied to 301

- added TapChanger.ctRatio

- added TapChanger.ptRatio

- typos in RegulatngControl description

- update descriptions of RegulatingControl: .descrete, .maxAllowedTargetValue, .minAllowedTragetValue, .targetValue,
.targetDeadband, .targetValueUnitMultiplier

- update of TapChangerControl description

- TapChangerControl.limitVoltage renamed to maxLimitVoltage and description updated

- TapChangerControl.minLimitViltage added

History

#1 - 03/30/2022 10:44 AM - Yang Feng

- Subject changed from TapChanger model update to TapChanger model update - 301

- Author/Contact Info set to chuck.dubose@pcitek.com

- Solution to be Applied To set to CIM18v02

- Proposed Solution updated

- Breaking Change changed from No to Yes

- Breaking Change Description set to One renamed attribute: TapChangerControl.limitVoltage to TapChangeControl.maxLimitVoltage
- Standard(s) set to 301 Ed8

- Origination Date set to 03/30/2022

- Decision updated

#2 - 03/30/2022 10:49 AM - Yang Feng

- Description updated

#3 - 03/30/2022 10:56 AM - Yang Feng

- File Tap changer documentation updates.docx added

#4 - 09/22/2022 04:06 PM - Eric Stephan

- Status changed from New to Open

#5 - 09/22/2022 04:06 PM - Eric Stephan

- Status changed from Open to In Progress

#6 - 02/11/2023 12:38 AM - Chavdar Ivanov

- Release Notes updated

From the document it is not clear if the following changes are decided:
TapChanger.initialDelay to RegulatingControl.initialDelay
TapChanger.subsequentDelay to TapChangerControl.subsequentDelay
Remove ShuntCompensator.aVRDelay in favor of RegulatingControl.initialDelay

Note that for ctRatio and cpRatio were added to TapChanger, but these attributes are also in TapChangerInfo. Shoudl we delete them from
TapChangerinfo?

Question: Should ptRatio and ctRation be added to 452 EQ?

Another question: TapChangeerControl.maxLimitVoltage and minLimitVoltage are not in 452, Should we add them?
Thease are the only additional changes to be agreed before closing the issue

See also issue "TapChanger and TapChangerinfo .ctRating, .ctRatio and .ptRatio attributes"

#7 - 02/11/2023 12:40 AM - Chavdar Ivanov

- Status changed from In Progress to Review

#8 - 02/11/2023 01:04 AM - Chavdar Ivanov
- Solution Version set to CIM18v03
- Solution Applied By set to Chavdar Ilvanov
- Completion Date set to 02/11/2023

- Release Notes updated

#9 - 06/13/2023 09:29 AM - Chavdar Ivanov

- Decision updated

From the document it is not clear if the following changes are decided:
TapChanger.initialDelay to RegulatingControl.initialDelay
TapChanger.subsequentDelay to TapChangerControl.subsequentDelay
Remove ShuntCompensator.aVRDelay in favor of RegulatingControl.initialDelay

Note that for ctRatio and cpRatio were added to TapChanger, but these attributes are also in TapChangerinfo. Shoudl we delete them from
TapChangerinfo?

Question: Should ptRatio and ctRation be added to 452 EQ?

Another question: TapChangeerControl.maxLimitVoltage and minLimitVoltage are not in 452, Should we add them?
Thease are the only additional changes to be agreed before closing the issue

See also issue "TapChanger and TapChangerinfo .ctRating, .ctRatio and .ptRatio attributes"

#10 - 06/15/2023 04:38 AM - Pat Brown

- Decision updated

Files

Tap changer documentation updates.docx 34.7 KB 03/30/2022 Yang Feng
